/*
==============================================================
    Single Product Area Css
==============================================================
*/
.zooming_show_image {
    overflow: hidden;
}

.zooming_show_image img {
    width: 100%;
    height: 100%;
    -webkit-transform: scale(var(--zoom, 1));
    -ms-transform: scale(var(--zoom, 1));
    transform: scale(var(--zoom, 1));
    -webkit-transform-origin: var(--x) var(--y);
    -ms-transform-origin: var(--x) var(--y);
    transform-origin: var(--x) var(--y);
    -webkit-transition: -webkit-transform 0.3s ease;
    transition: -webkit-transform 0.3s ease;
    -o-transition: transform 0.3s ease;
    transition: transform 0.3s ease;
    transition: transform 0.3s ease, -webkit-transform 0.3s ease;
    cursor: -webkit-zoom-in;
    cursor: zoom-in;
    aspect-ratio: 1 / 1;
}

.zooming_show_image:hover {
    --zoom: 3;
    border-radius: 10px;
}

.zoom_img_active .owl-dots img {
    width: 60px;
    height: 60px;
    cursor: pointer;
}

.zoom_img_active .owl-dots div {
    display: inline-block;
    transition: 0.7s;
    border: 1px solid #ffffff;
}

.zoom_img_active .owl-dots {
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    scroll-behavior: smooth;
}

.zoom_img_active .owl-dots div.active {
    opacity: 0.7;
    border: 1px solid var(--primary_color);
}

.zoom_img_active .owl-dots {
    position: relative;
    margin-top: 10px;
}

.youtube_video iframe {
    aspect-ratio: 1/1;
}

.zooming_image_content .youtube_video {
    line-height: 0;
}

.zooming_image_content .zoom_img_active .zooming_show_image {
    aspect-ratio: 1/1;
}

.video_play_icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 2px solid #ffffff;
    padding: 0px 10px;
    color: #ffffff;
    font-size: 20px;
    border-radius: 3px;
    cursor: pointer;
}

.single_product_list ul {
    margin: 0;
    padding: 0;
    line-height: 1;
}

.single_product_list ul li {
    list-style: none;
    display: inline-block;
    margin-right: 5px;
    line-height: 1;
}

.single_product_list ul li:last-child {
    margin-right: 0px;
}

.single_product_list ul li:not(:last-child):after {
    content: "";
    position: relative;
    font-size: 12px;
    font-weight: 600;
    font-family: "Font Awesome 5 Free";
    color: var(--black);
    margin-left: 5px;
}

.single_product_list ul li .single_product_list_link {
    display: inline-block;
    font-size: 14px;
    color: var(--black);
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    line-height: 1;
}

.single_product_list ul li .single_product_list_link:hover {
    color: var(--primary_color);
}

.single_product_name {
    margin-top: 15px;
}

.single_product_name h2 {
    font-size: 20px;
}

.single_product_attribute_code {
    margin-bottom: 10px;
}

.single_product_attribute.s_p_code {
    margin-top: 10px;
}

.single_product_attribute.s_p_price {
    margin-top: 10px;
}

.select_attribute_container.s_p_select {
    margin-top: 10px;
}

.single_product_qty_with_buy_now_btn {
    padding-top: 15px;
    display: block;
}

.single_product_btn_group {
    display: block;
    padding-top: 20px;
}

.single_product_whatsapp_link {
    color: #40c351;
    display: inline-block;
    border-bottom: 1px solid var(--white);
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

.single_product_whatsapp_link:hover {
    color: #40c351;
}

.single_product_attribute {
    display: flex;
    align-items: center;
}

.single_product_attribute .s_p_qty {
    width: inherit;
    margin-right: 15px;
}

.single_product_whatsapp {
    margin-top: 10px;
}

.single_product_attribute strong {
    width: 55px;
    font-weight: normal;
}

.single_product_attribute_label {
    font-weight: normal;
    margin-bottom: 2px;
    display: block;
}

.single_product_discount_price {
    color: red;
    text-decoration: line-through;
    padding-left: 10px;
}

.single_product_attribute_size {
    margin-top: 3px;
}

.single_product_attribute_qty strong {
    font-weight: normal;
    margin-bottom: 2px;
    display: block;
}

.single_product_size_checkbox_list ul li {
    display: inline-block;
    margin-right: 1px;
    margin-bottom: 2px;
}

.single_product_size_checkbox_list ul li:last-child {
    margin-right: 0px;
}

.single_product_size_checkbox_list_group {
    position: relative;
}

.single_product_size_checkbox_list_group input {
    display: none;
}

.single_product_size_checkbox_list_group label {
    cursor: pointer;
    border: 1px solid #cccccc;
    background: var(--white);
    text-align: center;
    -webkit-transition: all 200ms ease-in-out;
    -o-transition: all 200ms ease-in-out;
    transition: all 200ms ease-in-out;
    border-radius: 3px;
}

.single_product_size_checkbox_list_group .title {
    font-size: 15px;
    color: #979797;
    padding: 3px 13px;
    -webkit-transition: all 200ms ease-in-out;
    -o-transition: all 200ms ease-in-out;
    transition: all 200ms ease-in-out;
}

.single_product_size_checkbox_list_group label:before {
    content: "✓";
    position: absolute;
    width: 20px;
    height: 18px;
    bottom: 0px;
    right: 0px;
    background: var(--primary_color);
    color: var(--primary_text_color);
    text-align: center;
    line-height: 18px;
    font-size: 14px;
    font-weight: 600;
    opacity: 0;
    -webkit-transform: scale(0.5);
    -ms-transform: scale(0.5);
    transform: scale(0.5);
    -webkit-transition: all 200ms ease-in-out;
    -o-transition: all 200ms ease-in-out;
    transition: all 200ms ease-in-out;
    border-radius: 25px 0px 3px 0px;
    padding-left: 4px;
    padding-top: 2px;
}

.single_product_size_checkbox_list_group input:checked+label:before {
    opacity: 1;
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

.single_product_size_checkbox_list_group input:checked+label .title {
    color: var(--primary_color);
}

.single_product_size_checkbox_list_group input:checked+label {
    border: 1px solid var(--primary_color);
}

.single_product_qty {
    display: flex;
    align-items: center;
}

.single_product_qty_minus {
    border: 1px solid #cccccc;
    color: #979797;
    width: 35px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-right: 0px;
    border-radius: 3px 0px 0px 3px;
    cursor: pointer;
    background-color: transparent;
    float: left;
    display: block;
}

.single_product_qty input {
    border: 1px solid #cccccc;
    color: #979797;
    width: 100%;
    height: 40px;
    line-height: 40px;
    text-align: center;
    float: left;
    display: block;
    border-right: 0;
    border-left: 0;
}

.single_product_qty_plus {
    border: 1px solid #cccccc;
    color: #979797;
    width: 35px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-left: 0px;
    border-radius: 0px 3px 3px 0px;
    cursor: pointer;
    background-color: transparent;
    display: block;
}

.single_product_buy_now_btn_link {
    border: none;
    background-color: #095059;
    color: #fff;
    padding: 7px 5px;
    border-radius: 3px;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    width: 100%;
    display: block;
    text-align: center;
    text-decoration: none;
}

.single_product_buy_now_btn_link:hover {
    color: #fff;
    background-color: #074045;
}

.single_product_add_to_cart {
    border: 1px solid #cccccc;
    background-color: transparent;
    padding: 6px 0px;
    border-radius: 3px;
    display: block;
    width: 100%;
    text-align: center;
    color: var(--black);
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

.single_product_add_to_cart:hover {
    color: #095059;
}

.single_product_add_to_wishlist {
    border: 1px solid #cccccc;
    background-color: transparent;
    display: block;
    padding: 6px 12px;
    border-radius: 3px;
    font-size: 20px;
    text-align: center;
    color: var(--black);
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

.single_product_add_to_wishlist:hover {
    color: #095059;
}

.single_product_specification_list {
    border: 2px dotted #095059;
    padding: 10px;
    margin-bottom: 15px;
}

.single_product_specification_list ul {
    margin: 0;
    padding: 0;
}

.single_product_specification_list ul li {
    list-style: none;
    font-size: 14px;
    margin-bottom: 5px;
}

.single_product_specification_list ul li:last-child {
    margin-bottom: 0px;
}

.single_product_specification_list ul li i {
    padding-right: 5px;
}

.single_product_call_details {
    border: 2px dotted #095059;
    padding: 10px;
}

.single_product_call ul {
    margin: 0;
    padding: 0;
}

.single_product_call ul li {
    list-style: none;
    margin-top: 5px;
}

.single_product_call ul li .single_product_call_link {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.single_product_call_content {
    font-size: 14px;
    color: var(--black);
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    color: #095059;
}

.single_product_call_content:hover {
    color: #095059;
}

.single_product_call_content i {
    -webkit-transform: rotate(20deg);
    -ms-transform: rotate(20deg);
    transform: rotate(20deg);
    font-size: 11px;
}

.single_product_call_payment_method p {
    font-size: 14px;
    border: 1px dotted red;
    display: inline;
    padding: 2px 5px;
    color: red;
    margin-left: 5px;
}

.single_product_tab_nav {
    background-color: #dddddd;
    margin-bottom: 20px;
}

.single_product_tab_nav .single_product_tab_nav_link {
    border-radius: 0px;
    border: none;
    color: var(--black);
    font-weight: 500;
    font-size: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.single_product_tab_nav .single_product_tab_nav_link.active {
    color: #fff;
    background-color: #095059;
    border-color: #dee2e6 #dee2e6 #fff;
}

.single_product_tab_list ul {
    margin: 0;
    padding: 0;
}

.single_product_tab_list ul li {
    list-style: outside;
    margin-bottom: 10px;
    margin-left: 20px;
}

.single_product_tab_list ul li:last-child {
    margin-bottom: 0px;
}

:root {
    --primary_color: #095059;
    --primary_text_color: #fff;
    --white: #fff;
    --black: #000;
}